Bug 1454580 - Usb input device attached to the same hub with usb-storage can't work after local migration
Summary: Usb input device attached to the same hub with usb-storage can't work after ...
Keywords:
Status: CLOSED DUPLICATE of bug 1451631
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: hachen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-23 05:46 UTC by Xujun Ma
Modified: 2017-08-01 07:15 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-13 10:11:56 UTC


Attachments (Terms of Use)

Description Xujun Ma 2017-05-23 05:46:49 UTC
Description of problem:
Usb input device attached to the same hub with usb-storage  can't work after local migration

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.Boot up guest with command:
/usr/libexec/qemu-kvm \
 -m 8192 \
 -smp 4 \
 -monitor stdio \
 -vnc :91\
 -vga std\
 -nodefaults \
 -device virtio-blk-pci,drive=drive-virtio-blk0,id=virtio-blk0 \
 -drive file=rhel74-64-virtio.qcow2,format=qcow2,if=none,id=drive-virtio-blk0,snapshot=on \
 -device virtio-net-pci,netdev=net0,id=nic0,mac=52:54:00:c4:e7:84 \
 -netdev tap,id=net0,script=/etc/qemu-ifup,downscript=/etc/qemu-ifdown,vhost=on \
 -device qemu-xhci,id=controller1\
 -device usb-hub,id=hub1,port=1 \
 -device usb-mouse,id=usbmouse,port=1.1\
 -device usb-kbd,id=usbkbd,port=1.2\
 -device usb-tablet,id=usbtablet,port=1.3\
 -device usb-storage,id=storage1,port=1.4,drive=drive1 \
 -drive file=data1.qcow2,id=drive1,if=none \
2.Boot up destination guest with additional command:
 -incoming tcp:0:7777
3.Try to migrate it on localhost.
(qemu) migrate -d tcp:localhost:7777

4.Try to use mouse and kerboard in destination guest via vnc after migration.

Actual results:
Cann't use the usb input device(usb-mouse ,usb-tablet,usb-kbd)

Expected results:
Can use the usb input device(usb-mouse ,usb-tablet,usb-kbd)

Additional info:

The same issue on x86 platform ,and only happened with nec-usb-xhci and qemu-xhci controller.

Comment 2 Xujun Ma 2017-05-23 08:22:01 UTC
Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.9.0-5.el7
host:kernel-3.10.0-663.el7.ppc64le
guest:kernel-3.10.0-663.el7.ppc64

Comment 3 Gerd Hoffmann 2017-06-08 07:18:37 UTC
Probably a bug 1451631 duplicate.

Comment 4 Gerd Hoffmann 2017-06-08 08:15:15 UTC
please test:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=13377285

Comment 5 Ademar Reis 2017-06-12 15:07:51 UTC
(In reply to Gerd Hoffmann from comment #3)
> Probably a bug 1451631 duplicate.

That BZ is marked a Regression, so should be this one?

(In reply to Gerd Hoffmann from comment #4)
> please test:
> https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=13377285

According to https://bugzilla.redhat.com/show_bug.cgi?id=1451631#c27 this build fixes that BZ. Hopefully they're duplicates indeed, we need to validate.

Comment 6 CongLi 2017-06-13 05:15:06 UTC
Hi Haotong,

Could you please try comment 4 ?

Thanks.

Comment 7 hachen 2017-06-13 06:19:17 UTC
hello Gerd,

Could you please provide a new build link for me to have a try?

Cheers.


Note You need to log in before you can comment on or make changes to this bug.